/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Sales information.
 */
@ApiModel(description = "Sales information.")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class SalesInformation {
  @SerializedName("point_of_sale")
  private String pointOfSale = null;

  @SerializedName("seller")
  private String seller = null;

  public SalesInformation pointOfSale(String pointOfSale) {
    this.pointOfSale = pointOfSale;
    return this;
  }

   /**
   * Point of sale of the policy.
   * @return pointOfSale
  **/
  @ApiModelProperty(value = "Point of sale of the policy.")
  public String getPointOfSale() {
    return pointOfSale;
  }

  public void setPointOfSale(String pointOfSale) {
    this.pointOfSale = pointOfSale;
  }

  public SalesInformation seller(String seller) {
    this.seller = seller;
    return this;
  }

   /**
   * Seller who sold the policy
   * @return seller
  **/
  @ApiModelProperty(value = "Seller who sold the policy")
  public String getSeller() {
    return seller;
  }

  public void setSeller(String seller) {
    this.seller = seller;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    SalesInformation salesInformation = (SalesInformation) o;
    return Objects.equals(this.pointOfSale, salesInformation.pointOfSale) &&
        Objects.equals(this.seller, salesInformation.seller);
  }

  @Override
  public int hashCode() {
    return Objects.hash(pointOfSale, seller);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class SalesInformation {\n");
    
    sb.append("    pointOfSale: ").append(toIndentedString(pointOfSale)).append("\n");
    sb.append("    seller: ").append(toIndentedString(seller)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

